{% extends 'base.html' %}

{% block content %}

{% if mensagem is not None %}
	<script>alert('{{mensagem}}')</script>
{% endif %}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-
awesome/4.7.0/css/font-awesome.min.css">
<!-- Breadcrumbs-->
<ol class="breadcrumb">
	<li class="breadcrumb-item">
	<a href="realizar-consultas/">Início</a>
	</li>
	<li class="breadcrumb-item active">Exibir Clientes</li>
</ol>


<div class="card-header" style="margin-bottom: 1%">
	<i class="fas fa-table"></i>
	Clientes
</div>

<div class="container">
	<div class="row">
			{% csrf_token %}
			<div id="no-more-tables">
				<table class="table-bordered table table-striped table-condensed cf" id="dataTable">
					<thead>
						<tr role="row">
							<th class="sorting_asc" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="Nome: activate to sort column descending" style="width: 200px;">
								Banco
							</th>
							<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Projeto: activate to sort column ascending" style="width: 200px;">
								Conta
							</th>
							<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Orientador: activate to sort column ascending" style="width: 252px;">
								Cliente
							</th>
							<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Avaliado: activate to sort column ascending" style="width: 200px;">
								Descrição
							</th>
							<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Avaliado: activate to sort column ascending" style="width: 20px;">
								Editar
							</th>
						</tr>
					</thead>
					<tbody> 
						{% for cliente in clientes %}
							<tr role="row" class="odd" style="align-items: center; text-justify: initial">
								<td data-title="Banco" class="sorting_1">{{ cliente.banco }}</td>
								<td data-title="Conta">{{ cliente.conta }}</td>
								<td data-title="Cliente">{{ cliente.cliente }}</td>
								<td data-title="Descrição">{{ cliente.descricao }}</td>
								<td data-title="Editar" style="align-items: center; justify-content: center" class="text-center"><a href="editar-cliente?id={{cliente.conta}}]{{cliente.banco}}&l=0&descricao={{cliente.descricao}}"><i class="fas fa-pen"></i></td>
							</tr>
						{% endfor %}  
					</tbody>
				</table>
			</div>
	</div>
</div>

<p class="small text-center text-muted my-5">
	<em></em>
</p>

</div>
<!-- Modal -->
<!-- /.container-fluid -->
<script>
	$("search").bind("input", function(e) {
		while( $(this).outerWidth() < this.scrollHeight +
										parseFloat($(this).css("borderTopWidth")) +
										parseFloat($(this).css("borderBottomWidth"))
				&& $(this).width() < 50 // Altura máxima
		) {
			$(this).height($(this).height()+1);
		};
	});
</script>
{% endblock %}